/***********************************************************************
 *         Copyright (C) 2000 Advanced Rotorcraft Technology Inc.      *
 *                      All rights reserved                            *
 ***********************************************************************
 *
 * File: 	demoutils.c
 * Description:	Miscellaneous utilities for demo C programs. 
 *
 * $Id: demoutils.h,v 1.2 2000/10/02 20:50:19 joe Exp $
 */

#ifndef DEMOUTILS_H
#define DEMOUTILS_H 1

#ifdef __cplusplus
extern "C" {
#endif

/* 
 * trap_interrupts() --
 *	Sets up a signal handler to catch SIGINT (keyboard Control-C)
 *
 * interrupted() --
 *	Returns 1 if an interrupt signal has been received,
 *	0 otherwise.
 * 
 * clear_interrupts() --
 *	Clears the interrupted() flag.
 */

extern void trap_interrupts(void);
extern int  interrupted(void);
extern void clear_interrupts(void);


/*
 * millisleep(ms) --
 *	Sleep for 'ms' milliseconds.
 */
extern void millisleep(unsigned long ms);

#ifdef __cplusplus
}
#endif

#endif /* DEMOUTILS_H */
