/* 
 * $Id: flcomms-example.h,v 1.2 2000/12/27 21:16:46 luther Exp $
 *
 * Example of how to use the FLCOMMS C language API
 * to interface with a FLIGHTLAB model running under Scope.
 *
 * This file defines C data structures corresponding to
 * the Scope variable lists to be shared with the application.
 */


#ifndef FLCOMMS_EXAMPLE_H
#define FLCOMMS_EXAMPLE_H 1

typedef struct  	/* BODYSTATES data structure */
{
    /* Position: */
    double posxi;               /* Inertial X position [ft] */
    double posyi;               /* Inertial Y position [ft] */
    double poszi;               /* Inertial Z position [ft] */
    /* Velocity: : */
    double vxb;			/* Body axis velocity, X [ft/sec] */
    double vyb;			/* Body axis velocity, Y [ft/sec] */
    double vzb;			/* Body axis velocity, Z [ft/sec] */
    /* Orientation: */
    double phi;                 /* roll, around x [rad] */
    double theta;               /* pitch, around y [rad] */
    double psi;                 /* yaw, around z [rad] */
} BODYSTATES;

/* Magic number for BODYSTATES block:
 * This can be obtained from Scope by running 'flcomms -l' 
 * after ATTACH()ing the variable list.
 * Alternately, '0' can be used to disable consistency checking.
 */

#define FLCOMMS_BODYSTATES_MAGIC (0xA41B)

#endif /* FLCOMMS_EXAMPLE_H */
